/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.nlpack.generator.message;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoNLpackGeneratorMessage/メッセージ定義[BlancoNLpackGenerator]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoNLpackGeneratorMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoNLpackGeneratorMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoNLpackGeneratorMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoNLpackGeneratorMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoNLpackGeneratorMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoNLpackGeneratorMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoNLpackGeneratorMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoNLpackGeneratorMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoNLpackGeneratorMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoNLpackGeneratorMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoNLpackGeneratorMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoNLpackGeneratorMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoNLpackGeneratorMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBI001]
     *
     * [sourcedirとして指定されたディレクトリ[{0}]は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBI001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebi001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "sourcedirとして指定されたディレクトリ[{0}]は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBI001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBI003]
     *
     * [与えられたファイル名[{0}]は [.jar]で終わっていません。[.jar]で終わるファイル名を与えてください。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBI003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebi003(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "与えられたファイル名[{0}]は [.jar]で終わっていません。[.jar]で終わるファイル名を与えてください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBI003");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBI004]
     *
     * [結果ログファイル・サマリ({0})の作成に失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBI004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebi004(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "結果ログファイル・サマリ({0})の作成に失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBI004");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBI005]
     *
     * [結果ログファイル・詳細({0})の作成に失敗しました。:{1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBI005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebi005(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "結果ログファイル・詳細({0})の作成に失敗しました。:{1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBI005");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBC001]
     *
     * [CSVファイル書き出しの際に例外が発生しました。:{0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBC001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebc001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "CSVファイル書き出しの際に例外が発生しました。:{0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBC001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBC002]
     *
     * [プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(入力に nullが与えられようとしました。)] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBC002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebc002(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(入力に nullが与えられようとしました。)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBC002");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBC003]
     *
     * [プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(出力に nullが与えられようとしました。)] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBC003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebc003(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(出力に nullが与えられようとしました。)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBC003");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBP001]
     *
     * [Pleiades辞書の読み込み処理に失敗しました。(Pleiadesクラスのロードに失敗した場合や 関連するクラスのロードに失敗、あるいは confディレクトリの読み込みに失敗したなどの現象が想定されます。): {0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBP001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebp001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "Pleiades辞書の読み込み処理に失敗しました。(Pleiadesクラスのロードに失敗した場合や 関連するクラスのロードに失敗、あるいは confディレクトリの読み込みに失敗したなどの現象が想定されます。): {0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBP001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBMO01]
     *
     * [除外辞書[{0}]のロードに失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBMO01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebmo01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "除外辞書[{0}]のロードに失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBMO01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoNLpackGeneratorMessage], key[MBEBMO02]
     *
     * [除外辞書読み込み処理において CSV例外が発生しました。: {0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBEBMO02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbebmo02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "除外辞書読み込み処理において CSV例外が発生しました。: {0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBEBMO02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
